/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of MixMagic.

    Copyright (C) 2000-2001 Jonas Borgstrm <jonas@bengburken.net>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software 
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "mixmagic.h"

void
about_show (const GtkWidget *parent_win)
{
	static GtkWidget *about = NULL;
	GtkWidget *uri;
	const gchar *authors[] = {"Jonas Borgstrm", NULL};


	if (about) {
/*
 * if about already exists, make it visible and raise it
 * this prevents multiple about-windows from being shown...
 */
		g_assert(about->window != NULL);
		
		gdk_window_show(about->window);
		gdk_window_raise(about->window);
	} else {
		about = gnome_about_new ("MixMagic", VERSION,
					 "(C) 2000-2001 Jonas Borgstrm",
					 authors, _("MixMagic is a sound mixer for GNOME."), NULL);

		uri = gnome_href_new ("http://mixmagic.sourceforge.net/",
				      _("MixMagic Home Page"));

		gtk_box_pack_start (GTK_BOX (GNOME_DIALOG (about)->vbox),
				    uri, TRUE, FALSE, 0);
		gtk_widget_show (uri);
/*
 * This may take som explaining, the function gtk_widget_destroyed sets the argument to NULL
 * in this case about...
 */
		gtk_signal_connect(GTK_OBJECT(about), "destroy", GTK_SIGNAL_FUNC(gtk_widget_destroyed), &about);

		gnome_dialog_set_close (GNOME_DIALOG (about), TRUE);
		
		if (parent_win)
			gnome_dialog_set_parent(GNOME_DIALOG(about), GTK_WINDOW(parent_win));

		gtk_widget_show (about);
	}
}
