/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of MixMagic.

    Copyright (C) 2000-2001 Jonas Borgstrm <jonas@bengburken.net>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software 
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MIXMAGIC_SAMPLE_H__
#define __MIXMAGIC_SAMPLE_H__

#include "index.h"

#ifndef SAMPLE_DEFINED
#define SAMPLE_DEFINED
typedef struct _Sample Sample;
#endif
typedef struct _Wavheader Wavheader; 

struct _Wavheader {
        guint32 main_chunk;  /* 'RIFF' */
        guint32 length;
        guint32 chunk_type;  /* 'WAVE' */
	
        guint32 sub_chunk;   /* 'fmt' */
        guint32 sc_len;      /* length of subchunk */
        guint16 format;      /* should be 1 for PCM-code */
        guint16 modus;       /* 1 Mono, 2 Stereo */
        guint32 sample_fq;
        guint32 byte_p_sec;
        guint16 byte_p_spl;  /* samplesize 1 or 2 bytes */
        guint16 bit_p_spl;
	
        guint32 data_chunk;  /* 'data' */
        guint32 data_length;
};

struct _Sample {
	gchar *filename;
	gchar *id;

	gint rate;
	gint length;

	gint byte_p_spl;
	gint num_channels;

	gpointer data;
	gpointer map_addr;

	gint fd;

	gint map_size;

	gint ref_count;

	Index *index;
};

Sample *	sample_new	    (void);
gboolean 	sample_init	    (Sample *sample, GnomeAppBar *appbar);
Sample *	sample_ref	    (Sample *sample);
void		sample_unref	    (Sample *sample);
guint32         sample_get_length   (const Sample *sample);
const gchar *   sample_get_filename (const Sample *sample);
void            sample_set_filename (Sample *sample, gchar *filename);

#endif
