/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of MixMagic.

    Copyright (C) 2000 Jonas Borgstrm <jonas@bengburken.net>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software 
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __MIXMAGIC_SIDEBAR_H__
#define __MIXMAGIC_SIDEBAR_H__

#include "mixmagic.h"

#define SIDEBAR(obj)	      GTK_CHECK_CAST(obj, sidebar_get_type (), Sidebar)
#define SIDEBAR_CLASS(klass)  GTK_CHECK_CLASS_CAST(klass, sidebar_get_type (), SidebarClass)
#define IS_SIDEBAR(obj)       GTK_CHECK_TYPE(obj, sidebar_get_type ())

typedef struct _Sidebar Sidebar;
typedef struct _SidebarClass SidebarClass;

struct _Sidebar {
	GtkVBox vbox;

	GtkWidget *title;
	GtkWidget *list;
	GtkWidget *close_button_gtk_pixmap;
	GtkWidget *close_button;

	GString *path;
};

struct _SidebarClass 
{
        GtkVBoxClass parent_class;
	void (* close_clicked) (Sidebar *sidebar);
};

guint		sidebar_get_type	(void);
GtkWidget *	sidebar_new		(void);

#endif
